---
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: postgres-operator
  namespace: core-postgres-operator
spec:
  endpointSelector:
    matchLabels:
      app.kubernetes.io/name: postgres-operator

  egress:
  - toEndpoints:
    - matchLabels:
        application: spilo
    toPorts:
    - ports:
      - port: "5432"
        protocol: TCP
  - toEntities:
    - kube-apiserver
    toPorts:
    - ports:
      - port: "6443"
        protocol: TCP
